%define	upstream_name Mail-RFC822-Address
%define upstream_version 0.3

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:	GPL or Artistic
Group:		Development/Perl
Summary:	%{upstream_name} module for perl
Source:		https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz
URL:		https://metacpan.org/release/%{upstream_name}
BuildArch:	noarch
BuildRequires:	perl-devel

%description
Mail::RFC822::Address validates email addresses against the grammar described
in RFC 822 using regular expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes INSTALL
%{_mandir}/*/*
%{perl_vendorlib}/Mail/RFC822/Address.pm


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.300.0-7.mga10
+ Revision: 2199565
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.300.0-6.mga9
+ Revision: 1804351
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-5.mga8
+ Revision: 1495501
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-4.mga7
+ Revision: 1269148
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-3.mga6
+ Revision: 1029508
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.300.0-2.mga6
+ Revision: 939893
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-11.mga5
+ Revision: 742394
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-10.mga5
+ Revision: 685320
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3-9.mga4
+ Revision: 512736
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3-8.mga3
+ Revision: 369425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.3-7.mga1
+ Revision: 30783
- mageia rebuild
- imported package perl-Mail-RFC822-Address


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.3-7mdv2010.0
+ Revision: 430486
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.3-6mdv2009.0
+ Revision: 257708
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.3-5mdv2009.0
+ Revision: 245780
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3-3mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3-3mdv2008.0
+ Revision: 86529
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix According to perl Policy
	- Source URL
- use mkrel

* Wed Jul 20 2005 Andreas Hasenack <andreas@mandriva.com> 0.3-1mdk
- packaged for Mandriva

